

REGBAS  EQU     $1000  ; Starting address for register block
TOC2    EQU     $18    ; OC2 register (16-bit)
TCTL1   EQU     $20    ; OM2,OL2,OM3,OL3;OM4,OL4,OM5,OL5
TMSK1   EQU     $22    ; OC1I,OC2I,OC3I,OC4I;OC5I,IC1I,IC2I,IC3I
TFLG1   EQU     $23    ; OC1F,OC2F,OC3F,OC4F;OC5F,IC1F,IC2F,IC3F


VOC2    EQU     $FFE6    ; Vector for OC2
HLDY    EQU     $0050    ; Half period



*  TIMER EXAMPLE 10-5  Square wave using Output Compare
*
* Ex10-5 ᯮ 뢠.
*    אַ㣮   室 PA6  ᯮ짮
* OC2
*
* This program runs on an EVB board.  The half-cycle delay
* time is entered into the double byte variable "HDLY" at
* $D000,D001 with a memory modify before going to the program.
***
            ORG $C000

TOP5    LDS     #$0047  ; Top of User's stack area on EVB
        LDX     #SV5OC2 ; Address of OC2 service routine
        STX     VOC2    ; Addr of TOF routine
        LDX     #REGBAS ; Point to register block
        LDAA    #%01000000   ;   OM2:OL2 = 0:1
        STAA    TCTL1,X ; 롮 ⢨: . ᨣ
        STAA    TFLG1,X ; ⪠ 䫠 OC2F
        STAA    TMSK1,X ; 襭 뢠  OC2
        CLI             ; 襭 뢠 
        BRA     *       ;  横

***
* SV5OC2 - Output Compare 2 service routine
*
* Called at each OC2 interrupt.
***
SV5OC2  LDD     #HLDY   ; Get delay time for 1/2 cycle
        ADDD    TOC2,X  ; Add to last compare value
        STD     TOC2,X  ; Update OC2 (schedule next edge)
        BCLR    TFLG1,X,$BF  ;   Clear OC2F
        RTI             ; ** Return from OC2 service **
*
***** END Ex 10-5
