
ACKNOWLEDGEMENTS Portions of the software are: copyright 1987 by Borland
International copyright 1988 by TurboPower Software Manufacture's
specifications offered in the HELP screens are reprinted with the manufacture's
permission.  See "MANUFACTURER" within the HELP system.


        ======= IASM =======

IASM - The Integrated Assembler
===============================

IASM is an editor, cross assembler, and communications package. All three
applications have been blended into a single environment to greatly simplify
your job of writing and debugging source code. With IASM you will be able to
easily correct any syntactical errors in your source code without leaving the
environment. IASM's integrated editor is a standard source file editor. The
integrated cross assembler is similar to P&E Microcomputer's past cross
assemblers but has been optimized for the new environment. The built in
communication environment enables you to work with any development system
attached to your PC. Assembled files may be downloaded and tested while the
original source code is edited and assembled.

System Requirements
-------------------
IASM runs under MS-DOS or PC-DOS on an IBM PC, XT, AT or compatible. It is
greatly recommended to have at least 512 Kilobytes of system memory. The
communications uses COM1 or COM2.  If you intend to print from within IASM, the
standard DOS printer port is used.

System Overview
---------------
IASM lets you generate standard assembly language source code or read it in
from a disk file. Three output files may be generated. One is the object file,
machine language for the target processor. The second is a listing file: a copy
of the input text with various annotations such as the machine code, cycle
timing, etc. The third is a map file. This is used by other P&E Microcomputer
software such as simulators and user interfaces. These files may or may not be
generated, depending on the options the user chooses. If an error is found
during assembly of a file, the line in question is highlighted on the screen,
the cursor is placed near the error, and the user is told of the problem. The
communications window may be opened at anytime and the code tested on a
development board.

Getting Started
---------------
Two files must reside in your working directory or on your DOS path (see your
DOS manual) for the environment to work properly. One is the main file
IASMxx.EXE. The xx stands for the type of cross assembler you are using
(IASM05.EXE for the M68HC05, for example). The other file is the on-screen
help file, IASMxx.HLP. This file is only needed if you plan on using the
built-in help system.

To start the environment all you need to type is the command line :

        IASMxx <filename>

where <filename> is an optional file name that will immediately be loaded into
the editor. Note that the editor will, as a default, name all files with the
extension .ASM. If a filename is not specified, the editor will start with a
blank file entitled "NONAME.ASM". You will be prompted to change it's name upon
saving the file.

NOTE: Any source code used as examples in this manual may or may not use
mnemonics that are acceptable for your version of the assembler.

If you are using source code that has been written for another assembler, see
the Appendix at the end of this manual.


INSTALLATION
------------
Installation You may choose to run the installation program at any time and as
many times as you wish. The program has four basic functions. First, it allows
you to change any of the editor commands. Second, it enables you to choose any
color scheme you like. Third, you set up various parameters concerning the
assembler. Fourth, you set up the parameters concerning the communications.

To invoke the installation program, at the DOS prompt type:

        IASMINST        IASMxx

where IASMxx is the name of the version of the assembler you are installing.
Substitute the proper characters for the xx.

You will first have the opportunity to modify certain parameters for the
editor. In most cases, hitting Enter will accept the default value shown. You
will be asked for a DOS string to be executed when F6 is hit during an editing
session. This is a dedicated shell to DOS and may be left blank if desired.

Next you can modify several assembler choices. You will be prompted for default
settings of all the items in the ASSEMBLE sub-menu. See that section for a full
explanation.

Next you can modify the communications parameters. You will be prompted for
default settings of all the items in the COMM sub-menu. See that section for a
full explanation.

At this point you will be prompted for color choices. The screen shows all
possible colors or shades for the current monitor. Choose whichever colors suit
your taste. Use the up and down arrow keys to choose the attribute you want to
set and hit Enter. Now use the arrow keys to choose a color and select it with
the Enter key. When finished, hit Esc.

You will now be asked if you want fast entry mode for keyboard configuration.
The default entry is NO for random access entry. These are ways of
reconfiguring the editor commands.

Fast Entry
----------
If you choose fast entry, you will receive on line instructions. Basically, you
are shown each command one at a time and can either leave it the way it is
(press Enter), change it using the Bksp key, clear it by hitting C or restore
it by hitting R. If you specify a new command, terminate it by hitting Enter.
If you wish Enter to be part of the command, first press the Scroll-Lock key to
accept keys literally. Hit it again to go back to the normal mode. Pressing Esc
takes you out of the fast entry mode and puts you into the random access mode.

Random Access
-------------
This mode lets you alter any or all commands in any order. Instructions are
shown at the top of the screen. Use the cursor keys to move the cursor to the
entry you want to change. The editing functions are the same as described in
fast entry, above.

Moving on ...

When you are done making changes you can hit the Esc followed by either Q or W.


W W will bring up the message "Checking for conflicts ..." If you have assigned
the same sequence to two commands, you will be given an error message. You can
correct the mistake by looking for highlighted items. You will also get an
error message if the new list of keystrokes is too long. If so, just eliminate
some of the secondary key sequences, or any you will not be using.

Q Q will cause the installation program to move on and not change any commands.


NOTE: Whenever you assemble a program and a listing file is generated, the
assembly time will be increased. It is recommended that you set this default to
OFF and only turn it on when you want to generate a listing file. The same is
true of the object file.


HOTKEYS
=======
Hotkeys
-------
You will notice that several hotkeys are shown on the bottom of the screen
display. They are :

 F1 : Help   This key will bring up the help; system.
 F2 : Save   Hitting F2 will cause the file currently
             in the editor to be saved, a backup file
             to be made and the cursor returned to the
             point just before F2 was selected.
 F3 : Load   Hitting F3 will allow the user to load
             in a new file. You will be prompted, if
             any changes have been made to the current
             file, to save the current file and then
             asked for the name of the new file.
             Hitting ^ F3 (Cntrl F3) will do the same
             but the file loaded will be the file
             specified on the command line when
             IASM was entered.
 F4 : Assemble   Hitting F4 will start the assembly of
             the file currently in the editor. Any
             options chosen from the main menu system
             will be in effect. Note that only one
             window may be open during assembly.
 F5 : Exit   Hitting F5 will cause an end to the
             editing-assembling session. If any
             changes have been made to the current
             file, you will be given an opportunity
             to save them before returning to DOS.
             If you are in a secondary window, F5
             will close that window.
 F6 : DOS    String Hitting F6 causes a shell to DOS
             with the string specified in the
             installation program.
 F7 : Comm   Hitting F7 will either open the
             communications window or, if it is
             already open, will make the communications
             window the active window.
 F9 : DOS shell  Hitting F9 will put you into DOS.
             Typing EXIT at the DOS prompt will return
             you into IASM.
 F10 : Menu  Hitting F10 will cause the main menu system
             to appear.


MENU
====
Menu
----
The Menu system contains a highlighted bar along the bottom of the screen. You
can choose a menu ;item by highlighting it with the cursor keys or entering the
highlighted letter within your choice ('E' in Edit, for example). Hitting Esc;
will go back to the previous menu (if you are within a submenu) or return you
to the editor.

 Edit:   This choice will put you back into the editor.
         There are no submenus.
 File:   This choice will open a submenu with the
         following choices :
         Save:   The file currently in the editor is
                 saved, a backup file is made and the
                 cursor returned to the point just before
                 the selection.
         Load:   Loads in a new file. You will be prompted,
                 if any changes have been made to the
                 current file, to save the current file
                 and then asked for the name of the new file.
         Dir:    Shows a directory listing using the mask
                 prompted for. The default mask is *.asm,
                 thus showing all files in the current
                 directory having an extension of .ASM.
                 If the cursor is placed on a filename and
                 Enter is pressed, that file will be loaded
                 into the editor.
 Assemble: This choice will open a submenu with the
           following choices:
         Assemble: Performs the assembly of the file
                   currently in the editor. Any options
                   chosen from this submenu will be in
                   effect. Note that only one window may
                   be open during assembly.
         Listing:  This choice toggles between on and off
                   indicating whether or not a listing file
                   (.LST) will be created at assembly time.
                   Note that assembly time is increased
                   when listing is turned on.
         Object:   This choice toggles between off, hex
                   and s19 indicating whether or not an
                   object file will be created at assembly
                   time and what type it will be. Choose
                   the type needed by your development
                   system or PROM programmer. Note that
                   assembly time is increased when an
                   object file is created.
          Cycle Cntr: This choice toggles between on and
                   off indicating whether or not instruction
                   cycle counts will be included in the
                   listing file.
          Debug Map: This choice toggles between on and off
                   indicating whether or not a map file
                   (.MAP) will be created at assembly time.
                   Note that assembly time is increased when
                   a map file is created. Map files are used
                   with P&E Microcomputer simulators and
                   interface software.
          Macro:   This choice toggles between view and
                   hide. View means that the source code
                   for macros will be printed in the .LST
                   file at every macro call. Hide
                   suppresses this printing.
          Include: This choice toggles between view and
                   hide. View means that the source code
                   within the INCLUDE files will be printed
                   in the .LST file. Hide suppresses this
                   printing.
 Communicate: This choice will open a submenu with the
            following choices:
          Comm:    This choice toggles between COM1 and
                   COM2, the hardware ports recognized
                   by the operating system.
          Baud:    This choice toggles through the list
                   of possible baud rates from 110 to 9600.
          Parity:  This choice toggles between N for none,
                   E for even and O for odd.
          Length:  This choice toggles between 7 and 8
                   indicating the number of bits per word
                   to use.
          Stop:    This choice toggles between 1 and 2
                   indicating the number of stop bits per
                   word to use.
 Help:   Brings up the help menu.


============================================================================

HELP
====
Help
----
Hitting F1 from within the editor brings up the menu driven help system. The
initial window displays a list of topics from which to choose. Using the cursor
keys, move the highlight bar over the topic desired. Note that when there are
more topics than the window shows, the window will scroll with the up and down
arrow keys. Once an item is chosen, hitting Enter will display the first help
page for that item. PgDn and PgUp keys will show the next or previous pages.
Hitting Esc at any time will exit the current help window going to the previous
one, exiting the help system from the first window.

The help system covers three main areas. The first is the editor itself and all
of the commands are given. If any commands have been changed via IASMINST, the
changes will not be reflected here. The second area is the assembler. Most
assembler commands, options and structures are explained. Finally there are
microcontroller - microprocessor specific topics. In most cases this
information is from the manufacturer and reprinted with their permission. P&E
Microcomputer has made every effort to assure the accuracy of this information
but assumes no responsibility for it. See the help topic "MANUFACTURER" for
more information. Also note that the chip information is generally for the
entire family of chips that this specific IASM covers, hence not all of the
information may be applicable to your application.


EDITOR
======
Editor
------
Entering and Editing Text
-------------------------
Text is entered into the editor much like it is on a typewriter and most of the
keys act the same way. However, there are several important differences.

 1. The cursor is always positioned at the spot where new
    text will be entered.
 2. There are several delete commands to correct mistakes
    quickly and easily.
 3. There are several block commands for moving and
    copying text.
 4. There are Find and Find-and-replace commands.
 5. In many cases you can "undo' your last several
    commands with the Restore option.

All of the commands are described in the text that follows. For a quick
reference, refer the back cover of this manual.

The Editing Screen

The top line of the screen is set aside as a prompt line. Messages and
instructions are displayed here as are responses to prompts (see the section
"Prompt Editor"). When the first key of a two key command is entered, it is
echoed at the left edge of the prompt line.

The top line of any editing window is a status line with the following
information:

 FILENAME.EXT
 Shows the name and extension of the file being edited.
 You may specify full path names to the editor but they
 will not show up here.

 Line n
 This is the line number, starting from the start of the
 file, that the cursor is currently on.

 Col n
 The number of the column containing the cursor.

 Byte n
 The position of the cursor relative to the first
 character in the file.

 Insert
 Shows that the editor is in insert mode (as opposed
 to overwrite).

 Indent
 Shows that the editor is in auto-indent mode.

 Tab
 Shows that the editor is using fixed tab stops.

 Save
 This indicates that the file has been modified since
 it was last saved.


Prompt Editor
-------------
When IASM prompts you for a response to a question, you are generally presented
with a default answer which may be accepted by hitting Enter. You may cancel
the operation by hitting Esc. When you are entering text at the prompt line,
you are using the prompt editor, a line editor with its own set of commands.
Most are the same as the full editor in IASM with the following additions:

 Function        Key Command

 Accept entry    Enter or ^M
 Abort           Esc
 Insert control
 character       ^P


================================================================================

TABS
====

There are two tab settings, smart tabs and fixed tabs.

Smart tabs: When smart tabs is enabled, the tab stops are determined by the
previous line. The start of any non-space sequence (the first letter in a word,
for instance) acts as a tab stop. This is generally the easiest mode to use
when entering source code.

Fixed tabs: Tab stops start at column 9 and then every 8 columns. This can be
changed in the installation program to any number desired. Note that the first
tab stop is always in column (tab size + 1).

With either setting, tabs are translated to spaces automatically. When a file
is read into the editor, all tabs are expanded to the default tab settings.
When a file is written, spaces will be encoded into tabs if this option is
enabled via IASMINST, the installation program. This will save disk space but
cause the writing of files to be slower.


WINDOWS
=======
Window Commands
---------------
You may have up to 5 windows open at any one time. Note that when you assemble,
only one window may be open and that is to contain the file to be assembled.

All window commands are accessed with the Alt key. When this key is held down,
the help line at the bottom of the display will show you the available key
combinations.

 Add a window                                         Alt-F3
 Opens another text window. You will be prompted for a file
 to edit; if none is specified, NONAME.ASM will be created.
 You may later save it as a named file. If too many windows
 are open or if the active window is too small to divide in
 half (to make room for the new window), you will get an
 error message.

 Close a window                                        Alt-X
 Closes the current window. If there is only one window
 active, this will close the window and leave IASM.

 Resize current window                                Alt-F4
 Changes the size of the current window. You may adjust the
 size by pressing the up and down arrow keys. When you are
 done, press Enter or Esc to return to the editor.

 Next window                                          Alt-F1
 Makes the next text window the current window.

 Previous window                                      Alt-F2
 Makes the previous text window the current window.


CURSOR COMMANDS
===============

There are typically two ways of moving the cursor on screen. One way is with
the cursor control keys on the cursor pad, and the other is via control
characters. Either method can be defined or changed by running the installation
program. The symbol ^  means hold down the Ctrl key while pressing the
following letter.

 Character left                             left arrow or ^S
 Moves the cursor one character to the left.

 Character right                           Right arrow or ^D
 Moves the cursor one character to the right. This command
 may cause the display to scroll horizontally but it will
 not cause the cursor to change lines.

 Word left                                 ^Left arrow or ^A
 Moves the cursor to the beginning of the word to the left.
 The cursor may move across a line break.

 Word right                               ^Right arrow or ^F
 Moves the cursor to the beginning of the word to the right.
 The cursor may move across a line break.

 Line up                                      Up arrow or ^E
 Moves the cursor up a line and may scroll the screen.

 Line down                                  Down arrow or ^X
 Moves the cursor down a line and may scroll the screen.

 Scroll up                                                ^W
 Scrolls the screen up one line. The cursor does not change
 lines until it hits the bottom of the screen.

 Scroll down                                              ^Z
 Scrolls the screen down one line. The cursor does not
 change lines until it hits the top of the screen.

 Page up                                          PgUp or ^R
 Moves the cursor up one page with a single line of overlap.

 Page down                                        PgDn or ^C
 Moves the cursor down one page with a single line
 of overlap.

 Beginning of file                              ^PgUp or ^QR
 Moves the cursor to the file's first character.

 End of file                                    ^PgDn or ^QC
 Moves the cursor just beyond the end of the file.

 Beginning of line                               Home or ^QS
 Moves the cursor to column 1 of the current line.

 End of line                                      End or ^QD
 Moves the cursor to the end of the current line. Trailing
 blanks are always removed from lines.

 Top of screen                                  ^Home or ^QE
 Moves the cursor to the top line on the screen.

 Bottom of screen                                ^End or ^QX
 Moves the cursor to the last line on the screen.

 Go to line                                              ^JL
 Prompts for a line number and moves the cursor to the
 specified line. Any integer from 1 to 32,767 is valid. If
 the value is preceded by a plus (+) or a minus (-), the
 target line number will be an offset from the current line.

 Go to column                                            ^JC
 Prompts for a column number and moves the cursor to the
 specified column of the current line. Any positive integer
 from 1 to 120 is valid. If the value is preceded by a plus
 (+) or a minus (-), the target column will be an offset
 from the current column.

 Top of block                                            ^QB
 Moves the cursor to the position of the block-begin marker
 set with ^KB. Works even if there is no block-end marker or
 the block is hidden.

 Bottom of block                                         ^QK
 Moves the cursor to the position of the block-end marker
 set with ^KK. Works even if there is no block-begin marker
 or the block is hidden.

 Previous cursor position                                ^QP
 Moves to the last cursor position. Very useful after a
 Save, Find or Find-and-Replace command.

 Jump to marker 0..9                                ^Q0..^Q9
 Moves the cursor to one of four previously set invisible
 markers.

 Set marker 0..9                                    ^K0..^K9
 Sets one of four invisible markers at the current cursor
 position.


INSERT AND DELETE
=================
Insert And Delete Commands
--------------------------
These commands let you insert and delete characters, words, and lines.

 New line                                        Enter or ^M
 In insert mode a line break is created at the cursor
 position. If autoindent is on, the cursor moves to the next
 line and to the same column as the first non blank
 character in the previous line, otherwise it moves to
 column 1. In overwrite mode, the cursor is moved to
 column 1 of the next line without inserting a new line.

 Insert line                                              ^N
 Inserts a line break at the cursor position. The cursor
 does not change position.

 Insert control character                                 ^P
 This allows control characters to be entered into the text.
 For example, ^P followed by ^ G will insert a ^ G (the bell
 character) into the text stream. Control characters are
 displayed as uppercase highlighted letters. Note that the
 assembler does not accept control characters, only
 the editor.

 Tab                                               Tab or ^I
 Moves the cursor right to the next tab stop. In insert
 mode, any text to the right of the cursor on the current
 line is also moved. In overwrite mode, only the cursor
 moves. The amount of cursor movement depends on whether
 fixed tabs or smart tabs are enabled. See the section
 on tabs.

 Delete current character                          Del or ^G
 Deletes the character at the cursor position. Characters to
 the right on the same line are moved one position left. The
 command does not cross line breaks.

 Delete character left                            Bksp or ^H
 Moves the cursor to the left one and deletes the character
 at that position. Characters on the same line are moved one
 position left. If the cursor starts in column one, the
 current line is joined to the line above it.

 Delete word                                              ^T
 Deletes the word to the right of the cursor. This command
 works across line breaks and may be used to remove line
 breaks.

 Delete to end of line                                   ^QY
 Deletes all characters from the current cursor position to
 the end of the line.

 Delete line                                              ^Y
 Deletes the line containing the cursor and moves any lines
 below it up one line. The cursor moves to column one of the
 next line. A line deleted this way cannot be restored.


BLOCK COMMANDS
==============

A block is any defined, contiguous stream of text. It may be a single character
or many lines. In fact, the entire file can be specified to be a block. A block
is defined by placing a begin-block marker at the first character in the
desired block and an end-block marker after the last character. Once a block is
so marked, it may be moved, copied, deleted or written to a file.

Once a block is defined, it is typically shown highlighted. This may be changed
with the hide-block command. All of the block manipulation commands work only
with a non-hidden fully defined block.

 Begin block                                             ^KB
 This is the marker for the beginning of a block. The marker
 itself is not visible on the screen. If an end-block
 command has been given, the block will now be highlighted.
 Whether or not an end-block exists, you can jump to the
 begin-block marker at any time with the Top of block
 command, ^QB.

 End block                                         ^KK or F8
 This is the marker for the end of a block. The marker
 itself is not visible on the screen. If a begin-block
 command has been given, the block will now be highlighted.
 Whether or not an begin-block exists, you can jump to the
 end-block marker at any time with the Bottom of block
 command, ^QK.

 Copy block                                              ^KC
 A copy of the previously marked and displayed block is
 placed at the current cursor position. The original block
 is not effected and the markers are moved to the new copy.

 Move block                                              ^KV
 The previously marked and displayed block is moved to the
 current cursor position. The block markers remain around
 the block as it is moved.

 Delete block                                            ^KY
 Deletes a previously marked and displayed block. Although
 the Undo last deletion command (^QU) can usually restore
 portions of an accidentally deleted block, there is no
 command to restore a deleted block in its entirety, so use
 this command with care.

 Hide block                                              ^KH
 Turns on and off the highlighting of a block. The block
 commands only work on displayed blocks. This command does
 not effect the markers.

 Print block                                             ^KP
 Prints the block currently selected. Make sure the printer
 is connected and turned on. The command is canceled
 with Esc.

 Mark single word                                        ^KT
 Marks an entire word as a block (places the begin-block and
 end-block markers around the word) in one command. If the
 cursor is within a word, that word is marked. If the cursor
 is not within a word, then the word to the left is marked.

 Read block from file                                    ^KR
 Reads an entire file into the text stream at the current
 cursor position as if it were a marked block within the
 text. The file is read in and marked as a block. The editor
 will prompt you for the name of the file. If the command
 has previously been used, the last file name requested will
 be displayed. You may either enter a new name, change the
 one displayed by using the Bksp key, or accept it by
 pressing Enter. The file name specified may be any legal
 file name, including a drive and/or path identifier. The
 command is canceled with Esc.

 Write block to file                                     ^KW
 Copies the previously marked and displayed block to a file.
 The block itself is not changed and the markers are left in
 place. The editor will prompt you for the name of the file.
 You should not use names with the extension .BAK since this
 is the extension used when the editor creates a backup
 file. If the file name specified is found to exist, you are
 asked if you want to overwrite it. If you type N (for No),
 you can enter a new file name, change the one displayed by
 using the Bksp key, or cancel the command using Esc. If no
 block has been specified, this command is ignored.


MISCELLANEOUS
=============
Miscellaneous Commands

 Abort                                                   Esc
 Halts an operation in progress. The keyboard buffer is
 checked regularly to see if the Abort command has been
 issued; if it has, the buffer is emptied and the operation
 is stopped.

 Toggle insert mode                                Ins or ^V
 Selects either insert or overwrite mode. In insert mode,
 the text to the right of the cursor is moved to the right
 as new text is entered. In overwrite mode, the new text
 replaces any old text. The status line says "Insert" when
 in insert mode.

 Toggle autoindent                                       ^QI
 When autoindent is enabled, the cursor will go to the next
 row and to the same column as the first non-blank character
 on the previous line in response to a ^M or Enter. The
 status line says "Indent" when this is enabled.

 Toggle fixed tabs                                       ^QT
 When fixed tabs are enabled, the first tab stop is at
 column 9 and then there is one every 8 columns thereafter.
 The default is not fixed tabs but rather smart tabs. Smart
 tabs are located at the first character of each word on the
 previous line. This makes for very clean looking source
 code. When fixed tabs are enabled, the status line says
 "Tab" and the editor uses spaces in the text stream. Smart
 tabs are also implemented with a series of blanks.

 Restore line                                            ^QL
 This command will undo any changes to the current line as
 long as the cursor has not left the line. The line will be
 restored regardless of any changes made to it.

 Undo last deletion                                      ^QU
 Restores lines deleted with the Delete line command or the
 Delete command. It does not restore single characters or
 words. To undo your most recent changes to the current
 line, use the Restore line command. The size of the "undo
 buffer" (used to save deleted lines) is specified with the
 Set undo limit command.

 Set undo limit                                          ^JU
 Sets the size of the "undo buffer" which stores deleted
 lines. The default value is 40 lines unless you have
 changed it with the installation program.

 Show version                                            ^JV
 Display the current version of IASM.

 Show available memory                                   ^JR
 Shows the amount of RAM available to IASM.

 Find                                                    ^QF
 Find lets you search for a character string up to 67
 characters in length. The status line will clear and you
 will be prompted for a search string. If the command has
 been used previously, the last search string will be
 displayed. You can select it again by pressing Enter,
 edit it, or enter an entire new string. When editing a
 string you may use Bksp, ^ R (restores previous string),
 ^S (move cursor left), and ^D (move cursor right). Esc
 will cancel the command. To enter a control character
 into the search string, precede it with ^P (for example,
 to find a period '.' at the end of a line you would enter
 the search string : . ^P ^M ). After the search string is
 entered you may specify search options. If any options
 were used in a previous search, they are offered and may
 be edited. The following options are available:

   B   Searches from the current cursor position towards
       the beginning of the file (Backwards).
   G   Searches globally. The entire file is scanned for
       the search string, regardless of the current
       position of the cursor. The search starts at the
       beginning of the file if searching forwards; at the
       end if searching backwards.
   L   Limits the search to the currently marked block.
   U   Ignore case; treats all alphabetic characters as if
       they were uppercase.

 The cursor is placed at the end of the matching pattern
 if one is found.

 Find and Replace                                        ^QA
 This command works almost exactly as the previous one. The
 difference is that after the search string is prompted for,
 you are asked for the replacement string. This new string
 may be up to 67 characters long. The previous replacement
 string (if there is one) will be displayed and it may be
 accepted, edited, or replaced. Finally, you are prompted
 for options.

 Any previously used options are shown and may be edited as
 before. The same options are available as are for the Find
 command with the addition of :

 N Replaces without a prompt. Normally the user is prompted
   as to whether or not to make the change (No prompt).

 If a match with the search string is found in the text, the
 cursor is placed at the end of the target. You are then
 asked if you want the replacement to occur. Press Y to
 replace, or N to skip, or A to replace it and all
 subsequent matches without asking. The operation can be
 aborted by hitting Q or Esc. If the N option was selected,
 this question will not be asked. You can speed up a global
 search and replace operation by selecting the N option and
 then pressing Esc. The screen will not be updated until
 all updates are completed.

 Find next                                                ^L
 This command will repeat the last search operation, either
 a Find or Find and Replace.

 Exit editor                                             ^KD
 Saves the current file and exits the editor. The original
 file (if one exists) is renamed FILENAME.BAK.

 Exit editor                                           Alt-X
 If the file in the editor has been modified, a prompt asks
 if the file should be saved. If yes, the file is saved and
 IASM exits to DOS, else IASM simply exits.

 Save to file                                            ^KN
 Prompts you for a file name, then saves the file in the
 current window to the specified name. This becomes the new
 file in the current window. This is especially useful for
 NONAME.ASM files.



==========================================================================

ASSEMBLER
=========

The assembler takes the file currently in the editor and assembles it.
Depending upon the options chosen, the assembler may produce an object file,
map file, and/or a listing file. The source file uses factory standard
mnemonics. The list of acceptable mnemonics may be seen using the environment's
help screens.

Statements - Each line of the source file contains a single assembly language
statement. A statement may contain up to four fields: label, operation,
operands, and comment fields, as follows :

label   operation operand       ;comment


===========================================================================

LABELS
======

Labels, if present, must start in column one. They may be up to 16 characters
long and must start with an alphabetic character. The assembler does not
differentiate between upper and lower case letters when searching for labels.
The label itself may contain any alphanumeric character, underscore, or dash.
An optional colon may be added at the end of a label but a space will suffice.

Note that labels within macros must be no longer than 10 characters.

Examples:

Label: ThisIsALabel: Loop_1 This_label_is_much_too_long:

The label in the last example would be truncated to 16 characters and, to the
assembler, would be the same as:

This_label_is_much_longer_than_needed


DIRECTIVES
==========
Assembler Directives
--------------------
These are keywords which control the progress and the modes of the assembler
itself. They are invoked by placing a /, #, or $ as the first character of a
line followed by the following directive words and parameters:

 BASE ^          Change default input base to ^
                 (2,8,10, or 16 decimal).
 CYCLE_ADDER_ON  Start accumulating instruction cycles.
 CYCLE_ADDER_OFF Stop accumulating instruction cycles and
                 print total.
 ELSEIF          Alternate code for conditional assembly.
 ENDIF           End of conditional assembly.
 IF ^            Conditional assembly if condition
                 "^" is true.
 IFNOT ^         Conditional assembly if condition "^"
                 is false.
 INCLUDE '^ '    Include file named "^ " in source code.
 MACRO ^         MacroCreates a macro with the name "^ ".
 MACROEND        Ends a macro definition.
 SET ^           Set condition named "^ " to true.
 SETNOT ^        Set condition named "^ " to false.

Each directive is fully explained on the following pages.


===========================================================================

BASE
====

The BASE assembler directive changes the default base of the current file. The
parameter specified must be in the current base or have a base qualifier on it.
The new base will be in effect until either the end of the file or until
another BASE directive is encountered. The default base is hexadecimal. You may
set the base to either 2, 8, 10 or 16 decimal.  It is a good idea to specify an
explicit base (see the section on constants) since you may not be sure what
base is currently in use.

 Examples:

 $BASE 10T       ;changes default base to decimal
 $BASE 0AH       ;changes default base to decimal


CYCLE_ADDER
===========

The CYCLE_ADDER_ON and CYCLE_ADDER_OFF assembler directives control a counter
that is internal to the assembler. When the CYCLE_ADDER_ON directive is
encountered, this internal counter is cleared. It is then incremented by the
number of instruction cycles associated with each instruction subsequently
assembled. When the CYCLE_ADDER_OFF directive is reached, the counter is
disabled and the total number of cycles counted is displayed in the .LST file.
Some instructions have various cycle counts, depending on the actual execution
of the instruction (test and branch, etc.). The smaller number of cycles will
be used by IASM.

NOTE: The Listing and Cycle Cntr options in the Assemble submenu must be on for
this directive to work.


===========================================================================

CONDITIONALS
============
Conditional Assembly
--------------------
Conditional assembly allows you to specify blocks of code that should assemble
only on certain conditions. These conditions are specified with the SET and
SETNOT directives.

The SET directive sets the parameter to a "true" value. The SETNOT directive
sets it to "false". Any code following an IF directive (up to either an ENDIF
or an ELSEIF) will be assembled if the given parameter has been set true. Any
code following an IFNOT directive (up to either an ENDIF or an ELSEIF) will be
assembled if the given parameter has been set false.

An ELSEIF directive may come between an IF or IFNOT directive and an ENDIF. The
code between the ELSEIF and the ENDIF will be assembled only if the code
between the IF (or IFNOT) and ELSEIF was not assembled. Likewise, if the code
between the IF (or IFNOT) and the ELSEIF was not assembled, the code between
the ELSEIF and ENDIF will be.

An example is definitely called for ....

 EXAMPLE:

 $SET    debug     ;set debug = true
 $SETNOT test      ;set test = false
         nop       ;always assembles
         nop       ;always assembles
 $IF     debug     ;if debug = true
         jmp start ;will assemble
 $ELSEIF           ;if debug = false
         jmp end   ;will not assemble
 $ENDIF            ;
         nop       ;always assembles
         nop       ;always assembles
 $IF test          ;if test = true
         jmp test  ;will not assemble
 $ENDIF            ;


Include
-------
The INCLUDE directive tells the assembler where to look for source code. Once
an include directive is encountered the assembler starts taking source code
from the specified file until either another INCLUDE is encountered or the end
of file is found. If the end of file is found, the assembler continues with the
source code immediately following the INCLUDE directive. Includes may be nested
up to a maximum depth of ten. The file specified should contain a full path
name if it does not reside in the current directory.

You can choose whether or not to show the source code from INCLUDE files within
the .LST file. This is controlled via a choice in the Assemble submenu.

Note that the file name must be in quotes (single or double).

EXAMPLES:

 $INCLUDE 'init.asm'
 $INCLUDE "c:\project\init.asm"



MACROS
======

The basic idea of a macro is simple. You assign a name to a block of text and
whenever that name is encountered during assembly, the block of text is
inserted. The macro can be thought of as expanding into the text when it is
referred to.

A macro is very similar to an INCLUDE file but it is more flexible. If the same
file is INCLUDEd more than once, any labels in it will cause errors. A macro,
on the other hand, may have labels and may also be passed parameters.

Macros are defined with the MACRO directive. All source code between a MACRO
and MACROEND directive is part of the macro. No directives are allowed within a
macro. The macro definition itself does not contain any parameters. Within the
macro, any place a parameter is needed, the parameter is specified with %n
where n is the nth parameter at the macro call. If parameters are specified on
the macro definition line, they are ignored, hence they may be helpful for
documentation.

Note that macros cannot be forward referenced.

Example 1:

 $MACRO divide_by_4
         asr a   ; acc / 2
         asr a   ; acc /4
 $MACROEND

 In this example, the accumulator is divided by four.

 Example 2:

 $MACRO delay count
         mov a,%1
 loop:   nop
         djnz loop
 $MACROEND

This example creates a time delay. The parameter count does nothing except help
with documentation showing that the first parameter is a count. The parameter
sent to the routine will be substituted for the %1 wherever it occurs. The
first time this macro is called, the label loop will be changed by the
assembler to loop:0001 as will the operand on the last line. If this macro is
invoked with :
        delay 100t then the loop will occur 100 (base ten) times.

Extra parameters sent to a macro will be ignored but an error will occur if not
enough are sent.

Labels will automatically be changed each time they are used. Labels within
macros cannot be longer than 10 characters. The assembler will append :nnnn to
the label where nnnn is a four digit hexadecimal number. This will ensure that
labels are always unique. Note that you may not have any code jump into a macro
but you may jump out of a macro.

You have the choice as to whether the code generated during a macro is printed
in the listing file or not. The setting in the ASSEMBLE sub-menu handles this.
If the setting is "MACROS hide" then you will only see the macro call. If the
setting is "MACRO view" then the code will be shown. The code shown will not
look exactly like that entered into the macro definition. No comments will
appear and the code will be all upper case. Note that these settings do not
affect the macro definition itself, it always appears in the listing file.


===========================================================================

CONSTANTS
=========

Constants are specific numbers entered into assembly language instructions. The
default base for all constants in the assembler is hexadecimal. The default may
be changed with the base assembler directive. Temporary override of the default
is possible as follows:

        Base    Prefix  Suffix
        2       %       Q
        10      !       T
        16      $       H

Either a prefix or a suffix is used, not both. Additionally, a $ or a * by
itself is used to mean "the current program counter".

 Examples : 10010111Q = %10010111 = 97H = $97

        JMP $   ; jump to myself
        JMP *   ; jump to myself

An ASCII constant may be specified by placing it in single or double quotes
such as 'A' which is the same as 41H. Strings consist of characters enclosed in
quotes as in :

        db 'this is a string'


===========================================================================

OPCODES
=======

All factory mnemonics are supported. The full list of supported mnemonics for
the assembler can be seen in the on-line help system by looking under
"INSTRUCTION SET". Opcodes cannot start in column one and there must be at
least one space or a colon between the label (if one exists on the line) and
the opcode.


OPERANDS
========

An operand may be an address, label, or a constant as defined by the opcode.
Arithmetic may be performed within parameters, at assembly time. The allowed
operators are:

        *       multiplication
        /       division
        +       addition
        -       subtraction
        <       left shift
        >       right shift
        %       remainder after division
        &       bitwise and
        |       bitwise or
        ^       bitwise xor

Operator precedence follows the rules of algebra and may be altered by the use
of parentheses.

If more then one operator, parenthesis, or imbedded spaces are used, the entire
expression must be put inside curly brackets {}.

 Examples:

 jmp start       ;start is a previously defined label.
 jmp start+3     ;jump to location start + 3
 jmp {start > 2} ;jump to location start divided by 4


===========================================================================

COMMENTS
========

Comments are delineated by a semicolon. They may start in any column and go
until the end of the line. Additionally, any line with an * or a ; in column 1
is considered to be a comment.

Examples:


        nop     ;this is a comment

* this entire line is a comment.


PSEUDO-OPS
==========

 The following list of pseudo operations are allowed in place of opcodes:

 ds n or
 rmb n     Define storage, n = number or label,
           reserves n bytes. Forward references of n
           are not allowed.
 db m or
 fcb m     Define byte storage, m = label, number or
           string. Strings generate ASCII codes for
           multiple bytes. Numbers and labels define
           only a single byte per parameter. Multiple
           parameters are allowed and are separated
           by commas.
 dw  n or
 fdb n     Define word storage, n=label, number or string.
           Two bytes are generated for each number or
           label.  Multiple parameters are allowed and are
           separated by commas.

 lab: equ n  Assigns the value of the number or label n to
             the label lab. Forward references to n are
             not allowed.

 org n     Sets the origin to the value of the number or
           label n. Forward references to n are not
           allowed.



LISTING DIRECTIVES
==================

These are keywords entered into the source code that control the output to the
listing file. They are purely for viewing the source code output and have no
effect on the actual code assembled.

A listing directive is invoked by placing a period '.' in column one of the
source code immediately followed by the directive. Note that the directive
itself will not appear in the listing file. If you want it to, then invoke it
as you would any assembler directive, with a /, #, or $.

 eject or
 page        Begins a new page.

 header '^'  The string specified will be a header on the
             listing pages. The string must be in quotes
             and can only be defined once.
             Default : header ' '

 list        Turns on the .lst file output if the list
             choice in the assemble sub-menu is on and
             the .lst file output has been turned off with
             a nolist directive. The list choice in the
             assemble sub-menu MUST be on for this optional
             directive to work.

 nolist      Turns off the .lst file output if it has been
             turned on. This directive effects the listing
             of the symbol table.

 pagelength ^  Sets the length of the page in lines.
               Default: pagelength 66t

 pagewidth ^  Sets the width of the output. Any additional
              text will be wordwrapped.
              Default : pagewidth 80t

 subheader '^'  The string specified will be a subheader on
                the listing pages. The string must be in
                quotes and will take effect on the
                next page.


LISTING FILE
============

When a listing file is requested via the menu system, it is created during
assembly. The listing file is given the same name as the file being assembled
with the extension .LST. Note that any existing file with this name will be
overwritten. The listing file has the following format :

 AAAA VVVVVVVV [CC] LLLL Source Code .....

The first four hexadecimal digits (AAAA) are the address of the instruction in
the target processor's memory.

The next group of hexadecimal digits (VVVVVVVV) are the values put into that
memory address and possibly the next several addresses. The size of this field
depends on the actual opcode.

If Cycle Cntr was turned on prior to assembly, the number of machine cycles
(CC) used by the opcode is displayed in decimal within square brackets. In
instances where an instruction has several possible cycle counts (whether or
not a branch happens, for instance) and the assembler cannot determine the
correct number, the best case (lowest number) is given.

The next decimal digits (LLLL _ up to four places) comprise the line count.

Finally, the actual source code is presented.

The end of the listing file contains the symbol table with every label used and
it's value presented.

This file is affected by the listing directives list and nolist. A nolist
directive at the end of the source code file will suppress the symbol table.


===========================================================================

OBJECT FILES
============

When an object file is requested via the menu system, it is created during
assembly. The object file is given the same name as the file being assembled
with the extension .HEX or .S19. The choice of name depends on the choice made
in the Assemble sub-menu. Note that any existing file with the same name will
be overwritten.

HEX is Intel 8-bit object code format. S19 is Motorola 8-bit object code
format.


MAP FILES
=========

When requested via the menu system, map files are generated during assembly.
The file is used by other P&E Microcomputer products to aid in symbolic
debugging.



ERRORS
======

If the assembler finds an error during assembly, the error is highlighted and
an error message appears on the prompt line. The possible errors and their
meanings follow.

 error 1  Parameter : invalid, too large, missing, or
                      out of range.
          There is an error in the operand field of the
          highlighted line. It may be an invalid number
          or representation of a number, or the parameter
          evaluates to a number that does not fit in the
          memory space allocated to the instruction.

 error 2  Too many conditional assembly variables.
          You may have up to a maximum of 25 conditional
          variables.

 error 3  Conditional assembly variable not found.
          The variable in the IF or IFNOT statement has not
          been declared with a SET of SETNOT.

 error 4  Include directives nested too deep.
          Includes may only be nested 10 levels.

 error 5  Invalid base value.
          The base parameter may be set to 2, 8, 10 or 16
          decimal.  Since you may not know the current
          base, it is always a good idea to use a value
          with an explicit base identifier such as 10T
          or 0AH.

 error 6  Undefined label.
          The label used as a parameter in the highlighted
          line has not been declared.

 error 7  Too many labels.
          See error 16.

 error 8  MACRO parameter error.
          The macro is expecting a different number of
          parameters than it received.

 error 9  MACRO label too long.
          Macro labels may be up to 10 characters, no more.

 error 10 INCLUDE file not found.
          The file specified in the INCLUDE directive was
          not found. Specify the full path name if
          necessary. There is no default extension, it must
          be specified if it exists.  Be sure that the file
          name is enclosed in quotes.

 error 11 Unrecognized operation.
          The highlighted opcode is unknown. This may be
          caused by a wrong number or type of parameters.

 error 12 Duplicate label.
          The label on the highlighted line has already
          been used.

 error 13 Invalid opcode, too long.
          The opcode on the highlighted line is wrong.

 error 14 Error writing .LST or .MAP file
          - check disk space.
          For some reason a .lst or .map file cannot be
          created. Check disk space and make sure that
          your CONFIG.SYS file allows multiple files to
          be open at once (see your DOS manual).

 error 15 Error writing object file - check disk space.
          See error 14.

 error 16 Out of memory.
          The assembler ran out of system memory. Try
          creating a file that consists of an INCLUDE
          directive only.  This should specify your primary
          file. Assembling this file will leave the maximum
          amount of memory available to the assembler.

 error 17 '}' not found.
          A mathematical expression that started with '{'
          did not end with '}'.



COMMUNICATIONS
==============

Comm Hitting F7 opens the communications window. The parameters used (port,
baud, parity, word length, number of stop bits) are based on the options in the
COMM sub-menu. If you are unsure of what these settings should be, consult the
manual that came with the development board in use. Once the communications
window is opened, you can toggle between communicating and editing with the F7
key. Note that if you change the communication parameters while the
communication window is open, the parameters will not take effect until the
window is closed and then reopened. The speed of the download command is
determined by the baud rate chosen and the inter character delays set in the
installation program. Once inside the communications window, the following hot
keys are available :

 F1    : Help     This key will bring up the help system.
 F2    : View     This key will cause a prompt for a file
                  name. Entering a valid file name will
                  cause that file to be loaded into memory
                  for viewing. The file may be up to the
                  size of available memory. When the
                  communications window is left, the viewer
                  will close and be replaced by the editor.
 F6    : Download Hitting F6 causes a prompt for a file
                  name. Entering a valid file name will
                  cause that file to be transferred out
                  the appropriate serial port. No special
                  protocol is used, the file is simply
                  transferred as is.
 F7    : Edit     Hitting F7 will put you into the editor
                  window, closing an open view file.
 F8,F9 : Resize   By using F8 and F9 the communications
                  window is made larger and smaller.
 F10   : Close    Hitting F10 will close the communications
                  window and return control, and the full
                  screen, back to the editor.



===========================================================================

INSTRUCTION SET
===============

    ABA     add accumulator B to accumulator A
    ABX     add accumulator B to index reg. X
    ABY     add accumulator B to index reg. Y
    ADC     add with carry
    ADD     add without carry
    ADDD    add double accumulator
    AND     logical and
    ASL     arithmetic shift left
    ASLD    arithmetic shift left double acc.
    ASR     arithmetic shift right
    BCC     branch if carry clear
    BCLR    clear bit(s) in memory
    BCS     branch if carry set
    BEQ     branch if equal
    BGE     branch if >= zero
    BGT     branch if > zero
    BHI     branch if higher
    BHS     branch if higher or same
    BIT     bit test
    BLE     branch if <= zero
    BLO     branch if lower
    BLS     branch if lower or same
    BLT     branch if < zero
    BMI     branch if minus
    BNE     branch if not equal
    BPL     branch if plus
    BRA     branch always
    BRCLR   branch if bit(s) clear
    BRN     branch never
    BRSET   branch if bit(s) set
    BSET    set bit(s) in memory
    BSR     branch to subroutine
    BVC     branch if overflow clear
    BVS     branch if overflow set
    CBA     compare accumulators
    CLC     clear carry
    CLI     clear interrupt mask
    CLR     clear
    CLV     clear two's complement overflow bit
    CMP     compare
    COM     complement
    CPD     compare accumulator D
    CPX     compare index reg. X
    CPY     compare index reg. Y
    DAA     decimal adjust ACCA
    DEC     decrement
    DES     decrement stack pointer
    DEX     decrement index register X
    DEY     decrement index register Y
    EOR     exclusive or
    FDIV    fractional divide
    IDIV    integer divide
    INC     increment
    INS     increment stack pointer
    INX     increment index register X
    INY     increment index register Y
    JMP     jump
    JSR     jump to subroutine
    LDA     load accumulator
    LDD     load double accumulator
    LDS     load stack pointer
    LDX     load index register X
    LDY     load index register Y
    LSL     logical shift left
    LSLD    logical shift left double
    LSR     logical shift right
    LSRD    logical shift right double accumulator
    MUL     multiply unsigned
    NEG     negate
    NOP     no operationa
    ORA     inclusive or
    PUSH    push data onto stack
    PSHX    push index reg. X onto stack
    PSHY    push index reg. Y onto stack
    PUL     pull data from stack
    PULX    pull index reg. X from stack
    PULY    pull index reg. Y from stack
    ROL     rotate left
    ROR     rotate right
    RTI     return from interrupt
    RTS     return from subroutine
    SBA     subtract accumulators
    SBC     subtract with carry
    SEC     set carry
    SEI     set interrupt mask
    SEV     set two's complement overflow bit
    STA     store accumulator
    STD     store double accumulator
    STOP    stop processing
    STS     store stack pointer
    STX     store index register X
    STY     store index register Y
    SUB     subtract
    SUBD    subtract double accumulator
    SWI     software interrupt
    TAB     transfer from acc. A to acc. B
    TAP     transfer from acc. A to CCR
    TBA     transfer from acc. B to acc. A
    TEST    test operation
    TPA     transfer from CCR to accumulator A
    TST     test
    TSX     transfer from SP to index reg. X
    TSY     transfer from SP to index reg. Y
    TXS     transfer from index reg. X to SP
    TYS     transfer from index reg. Y to SP
    WAI     wait for interrupts
    XGDX    exchange double acc. and index reg. X
    XGDY    exchange double acc. and index reg. Y



INSTRUCTION FORMATS
===================

Note that the symbol ^ reflects a parameter.

 ABA           BRCLR ^,^,^   JMP ^         ROR ^,X
 ABX           BRN ^         JMP ^,X       ROR ^,Y
 ABY           BRSET @^,^,^  JMP ^,Y       RORA
 ADCA #^       BRSET ^,X,^,^ JSR @^        RORB
 ADCA @^       BRSET ^,Y,^,^ JSR ^         RTI
 ADCA ^        BRSET ^,^,^   JSR ^,X       RTS
 ADCA ^,X      BSET @^,^     JSR ^,Y       SBA
 ADCA ^,Y      BSET ^,X,^    LDAA #^       SBCA #^
 ADCB #^       BSET ^,Y,^    LDAA @^       SBCA @^
 ADCB @^       BSET ^,^      LDAA ^        SBCA ^
 ADCB ^        BSR ^         LDAA ^,X      SBCA ^,X
 ADCB ^,X      BVC ^         LDAA ^,Y      SBCA ^,Y
 ADCB ^,Y      BVS ^         LDAB #^       SBCB #^
 ADDA #^       CBA           LDAB @^       SBCB @^
 ADDA @^       CLC           LDAB ^        SBCB ^
 ADDA ^        CLI           LDAB ^,X      SBCB ^,X
 ADDA ^,X      CLR ^         LDAB ^,Y      SBCB ^,Y
 ADDA ^,Y      CLR ^,X       LDD #^        SEC
 ADDB #^       CLR ^,Y       LDD @^        SEI
 ADDB @^       CLRA          LDD ^         SEV
 ADDB ^        CLRB          LDD ^,X       STAA @^
 ADDB ^,X      CLV           LDD ^,Y       STAA ^
 ADDB ^,Y      CMPA #^       LDS #^        STAA ^,X
 ADDD #^       CMPA @^       LDS @^        STAA ^,Y
 ADDD @^       CMPA ^        LDS ^         STAB @^
 ADDD ^        CMPA ^,X      LDS ^,X       STAB ^
 ADDD ^,X      CMPA ^,Y      LDS ^,Y       STAB ^,X
 ADDD ^,Y      CMPB #^       LDX #^        STAB ^,Y
 ANDA #^       CMPB @^       LDX @^        STD @^
 ANDA @^       CMPB ^        LDX ^         STD ^
 ANDA ^        CMPB ^,X      LDX ^,X       STD ^,X
 ANDA ^,X      CMPB ^,Y      LDX ^,Y       STD ^,Y
 ANDA ^,Y      COM ^         LDY #^        STOP
 ANDB #^       COM ^,X       LDY @^        STS #^
 ANDB @^       COM ^,Y       LDY ^         STS ^
 ANDB ^        COMA          LDY ^,X       STS ^,X
 ANDB ^,X      COMB          LDY ^,Y       STS ^,Y
 ANDB ^,Y      CPD #^        LSL ^         STX @^
 ASL ^         CPD @^        LSL ^,X       STX ^
 ASL ^,X       CPD ^         LSL ^,Y       STX ^,X
 ASL ^,Y       CPD ^,X       LSLA          STX ^,Y
 ASLA          CPD ^,Y       LSLB          STY @^
 ASLB          CPX #^        LSLD          STY ^
 ASLD          CPX @^        LSR ^         STY ^,X
 ASR ^         CPX ^         LSR ^,X       STY ^,Y
 ASR ^,X       CPX ^,X       LSR ^,Y       SUBA #^
 ASR ^,Y       CPX ^,Y       LSRA          SUBA @^
 ASRA          CPY #^        LSRB          SUBA ^
 ASRB          CPY @^        LSRD          SUBA ^,X
 BCC ^         CPY ^         MUL           SUBA ^,Y
 BCLR @^,^     CPY ^,X       NEG ^         SUBB #^
 BCLR ^,X,^    CPY ^,Y       NEG ^,X       SUBB @^
 BCLR ^,Y,^    DAA           NEG ^,Y       SUBB ^
 BCLR ^,^      DEC ^         NEGA          SUBB ^,X
 BCS ^         DEC ^,X       NEGB          SUBB ^,Y
 BEQ ^         DEC ^,Y       NOP           SUBD #^
 BGE ^         DECA          ORAA #^       SUBD @^
 BGT ^         DECB          ORAA @^       SUBD ^
 BHI ^         DES           ORAA ^        SUBD ^,X
 BHS ^         DEX           ORAA ^,X      SUBD ^,Y
 BITA #^       DEY           ORAA ^,Y      SWI
 BITA @^       EORA #^       ORAB #^       TAB
 BITA ^        EORA @^       ORAB @^       TAP
 BITA ^,X      EORA ^        ORAB ^        TBA
 BITA ^,Y      EORA ^,X      ORAB ^,X      TEST
 BITB #^       EORA ^,Y      ORAB ^,Y      TPA
 BITB @^       EORB #^       PSHA          TST ^
 BITB ^        EORB @^       PSHB          TST ^,X
 BITB ^,X      EORB ^        PSHX          TST ^,Y
 BITB ^,Y      EORB ^,X      PSHY          TSTA
 BLE ^         EORB ^,Y      PULA          TSTB
 BLO ^         FDIV          PULB          TSX
 BLS ^         IDIV          PULX          TSY
 BLT ^         INC ^         PULY          TXS
 BMI ^         INC ^,X       RMB ^         TYS
 BNE ^         INC ^,Y       ROL ^         WAI
 BPL ^         INCA          ROL ^,X       XGDX
 BRA ^         INCB          ROL ^,Y       XGDY
 BRCLR @^,^,^  INS           ROLA
 BRCLR ^,X,^,^ INX           ROLB
 BRCLR ^,Y,^,^ INY           ROR ^



===========================================================================

CASM11

This is a command line version of IASM11. Just type CASM11 at your DOS prompt
for information.
